<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: bookworm.php 59 2006-06-14 21:17:28Z Sahasrahla $
 *
 ******************************/

if( eregi(basename(__FILE__),$_SERVER['PHP_SELF']) )
{
	die("You can't access this file directly!");
}


if (!isset($_REQUEST['hash']))
{
	$query = 'SELECT hash, title, num_pages, found_by, zone, subzone FROM bookworm_books ORDER BY ';

	if( !isset($_REQUEST['s']) ){ $_REQUEST['s'] = 'title'; }
	$query .= $_REQUEST['s'].' ';
	if( isset($_REQUEST['d']) ){ $query .= 'DESC'; }else{ $query .= 'ASC'; }

	$titleDESC = $npDESC = $zoneDESC = $fbDESC = '';
	if($_REQUEST['s'] == 'title'){ $titleDESC = '&d=1'; }
	elseif($_REQUEST['s'] == 'num_pages'){ $npDESC = '&d=1'; }
	elseif($_REQUEST['s'] == 'zone'){ $zoneDESC = '&d=1'; }
	elseif($_REQUEST['s'] == 'found_by'){ $fbDESC = '&d=1'; }
	
	if ($roster_conf['sqldebug'])
		$content .= ("<!--$query-->\n");

	$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

	$ab = array();
	while($row = $wowdb->fetch_array($result))
	{
		$ab[] = array($row['hash'], $row['title'], $row['num_pages'], $row['found_by'], $row['zone'], $row['subzone']);
	}

	$borderTop = border('syellow', 'start', $wordings[$roster_conf['roster_lang']]['booklist']);
	$tableHeader = '<table width="100%" cellspacing="0" class="bodyline">';
	$tableHeaderRow = '	<tr>
		<th class="membersHeader"><a href="addon.php?roster_addon_name=bookworm&s=title'.$titleDESC.'">'.$wordings[$roster_conf['roster_lang']]['book_title'].'</a></th>
		<th class="membersHeader"><a href="addon.php?roster_addon_name=bookworm&s=num_pages'.$npDESC.'">'.$wordings[$roster_conf['roster_lang']]['num_pages'].'</a></th>
		<th class="membersHeader"><a href="addon.php?roster_addon_name=bookworm&s=zone'.$zoneDESC.'">'.$wordings[$roster_conf['roster_lang']]['location'].'</a></th>
		<th class="membersHeader"><a href="addon.php?roster_addon_name=bookworm&s=found_by'.$fbDESC.'">'.$wordings[$roster_conf['roster_lang']]['found_by'].'</a></th>
		</tr>';
	$borderBottom = border('syellow', 'end');
	$tableFooter = '</table>';

	$content .=($borderTop);
	$content .=($tableHeader);
	$content .=($tableHeaderRow);
	$striping_counter = 1;

	for($i = 0; $i < count($ab); $i++)
	{
		if($ab[$i]['5'] != ""){$ab[$i]['5'] .= ', ';}

		$content .=('<tr class="membersRow'. (($striping_counter % 2) +1) ."\">\n");
		++$striping_counter;
		$content .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"><a href="addon.php?roster_addon_name=bookworm&hash='.$ab[$i]['0'].'">'.$ab[$i]['1'].'</a></td>');
		$content .=('<td class="membersRow'. (($striping_counter % 2) +1) .'">'.$ab[$i]['2'].'</td>');
		$content .=('<td class="membersRowRight'. (($striping_counter % 2) +1) .'">'.$ab[$i]['5'].$ab[$i]['4'].'</td>');
		$content .=('<td class="membersRow'. (($striping_counter % 2) +1) .'">'.$ab[$i]['3'].'</td>');
		$content .=('</tr>');
	}

	$content .=($tableFooter);
	$content .= $borderBottom;
}else{
	$hash = $_REQUEST['hash'];

	$query = "SELECT title, num_pages, material FROM bookworm_books WHERE hash = '$hash';";

	if ($roster_conf['sqldebug'])
		$content .= ("<!--$query-->\n");

	$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
	list($title, $num_pages, $material) = $wowdb->fetch_array($result);

	$query = "SELECT page_num, text FROM bookworm_pages WHERE book_hash = '$hash' ORDER BY page_num ASC;";

	if ($roster_conf['sqldebug'])
		$content .= ("<!--$query-->\n");

	$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

	$i = 1;

	while(list($page_num, $text) = $wowdb->fetch_array($result)){
		if($i == 1){$hidemeplz = 'display:block;';}else{$hidemeplz = 'display:none;';}$i++;

		$content .= '<div id="page'.$page_num.'" style="'.$hidemeplz.'">';

		$content .= border('syellow','start',"$book_properties[title] ($page_num/$num_pages)");

		if($page_num != $num_pages){
			$content .= '<div class="book_page_forward" onclick="show(\'page'.($page_num+1).'\');hide(\'page'.$page_num.'\');">'.$wordings[$roster_conf['roster_lang']]['next'].' <img src="img/spellbook/pageforward.gif" class="navicon" alt="" /></div>';
		}

		if($page_num != 1){
			$content .= '<div class="book_page_back" onclick="show(\'page'.($page_num-1).'\');hide(\'page'.$page_num.'\');"><img src="img/spellbook/pageback.gif" class="navicon" alt="" /> '.$wordings[$roster_conf['roster_lang']]['prev'].'</div>';
		}
		
		$content .= '<div class="book_default">'.nl2br($text).'</div>';
		
		$content .= border('syellow','end');
		
		$content .= '</div>';
	}
}

$wowdb->closeQuery($result);
$wowdb->free_result($result);
?>